Bug 61696 - rpm-python lacks poptmodule.so, required by up2date
Summary: rpm-python lacks poptmodule.so, required by up2date
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-23 03:43 UTC by Bishop Clark
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-23 03:43:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bishop Clark 2002-03-23 03:43:49 UTC
Description of Problem:

[root@ducky i386]# rpm -qlp rpm-python-4.0.3-1.03.i386.rpm
 /usr/lib/python1.5/site-packages/poptmodule.so 
 /usr/lib/python1.5/site-packages/rpmmodule.so
[root@ducky i386]# rpm -qlp rpm-python-4.0.4-7x.i386.rpm
 /usr/lib/python1.5/site-packages/rpmmodule.so
[root@ducky i386]# rpm -Fvh up2date-2.7.46-7.x.2.i386.rpm 
error: failed dependencies:
        poptmodule.so is needed by up2date-2.7.46-7.x.2
[root@ducky i386]# 

  See the problem?

Version-Release number of selected component (if applicable):
4.0.4-7x.i386.rpm

How Reproducible:
It's out there, baby.  I can reproduce this all day.

Steps to Reproduce:
1. take one otherwise-fully-updated system
2. rpm -Fvh ftp://updates.redhat.com/7.2/en/os/i386/up2date-2.7.46-7.x.2.i386.rpm
3. wail in disbelief and shock until mom bakes cookies.

Actual Results:
error: failed dependencies:
        poptmodule.so is needed by up2date-2.7.46-7.x.2

Expected Results:
Preparing...                ########################################### [100%]
   1:up2date                ########################################### [100%]

Additional Information:

Jeff!  What's this all abooot?
  * Thu Jan 10 2002 Jeff Johnson <jbj@redhat.com>
  - fix: signing multiple times dinna work, discard immutable region.
  - remove poptmodule.so for separate packaging.

Where's the poptmodule *now*?  You're hiding it, aren't you?  Give it back!

Comment 1 Jeff Johnson 2002-03-23 15:03:59 UTC
You need to install the python-popt package.

Comment 2 Bishop Clark 2002-03-23 20:52:30 UTC
Ohh, yes, that makes sense, now.  Care to drop 'python-popt' into a Requires: on
up2date?

Thanks for the speedy help, jeff.  Most appreciated.

Comment 3 Phil Mayers 2002-03-25 15:59:31 UTC
Yes - *please* ship an up2date update (so to speak). We're using a specific bit
of patching software on our beowulf nodes that can't deal with this dependency
failure.


Note You need to log in before you can comment on or make changes to this bug.